//
// Created by sfd on 25-5-28.
//

#ifndef CAMERA_H
#define CAMERA_H
#include "glm/glm.hpp"
#include "Hazel/Core/Core.h"

namespace Hazel {
    class HAZEL_API Camera{
    public:
        Camera() = default;
        Camera(const glm::mat4& projection) : m_Projection(projection) {}
        virtual ~Camera() = default;

        const glm::mat4& GetProjection() const { return m_Projection; }
    protected:
        glm::mat4 m_Projection = glm::mat4(1.0f);
    };
}


#endif //CAMERA_H
